> ## Documentation Index
> Fetch the complete documentation index at: https://developer.tazapay.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Fetch Collect

> Get details of a collect object



## OpenAPI

````yaml get /collect/{id}
openapi: 3.1.0
info:
  title: sandbox
  version: '3'
servers:
  - url: https://service-sandbox.tazapay.com
security:
  - sec0: []
paths:
  /collect/{id}:
    get:
      operationId: get_collect{id}
      parameters:
        - in: path
          name: id
          schema:
            type: string
          required: true
          description: Id of the collect
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  amount:
                    type: number
                    description: Amount of collect
                  balance_transaction:
                    type: string
                    description: Related Balance transaction id
                  created_at:
                    type: string
                    format: date-time
                    description: Created At Timestamp
                  currency:
                    type: string
                    description: Currency of collection
                  destination:
                    type: string
                    description: Collection account id
                  destination_details:
                    type: string
                    description: Collection Account Details
                  holding_currency:
                    type: string
                    description: Balance currency
                  id:
                    type: string
                    description: Id of the collect
                  metadata:
                    type: string
                  payer_details:
                    type: object
                    properties:
                      name:
                        type: string
                        description: Name of the payer
                      payer_bank:
                        type: object
                        properties:
                          account_number:
                            type: string
                            description: Account number of the payer bank
                          address:
                            type: string
                            description: Address of the bank
                          bank_codes:
                            type: string
                            description: Bank codes
                          name:
                            type: string
                            description: Name of the bank
                      additional_information:
                        type: string
                        description: >-
                          Any additional information to be attached with the
                          collect
                      reference_id:
                        type: string
                      payer_wallet:
                        type: object
                        properties:
                          desposit_address:
                            type: string
                            description: Deposit address of the wallet
                          type:
                            type: string
                            description: Type of wallet
                        description: Payer wallet details
                  status:
                    type: string
                    description: Status of the collect
                  tracking_details:
                    type: string
                    description: Tracking details of the collect
                  type:
                    type: string
                    enum:
                      - wire_transfer
                      - local_bank_transfer
                      - stablecoin_usdc
                      - stablecoin_usdt
                    description: Type of collect
                  on_behalf_of:
                    type: string
                    description: Id of the entity on behalf of which the collect is created
              examples:
                Fiat Collect:
                  summary: Fiat Collect
                  value:
                    status: success
                    message: ''
                    data:
                      amount: 12829
                      balance_transaction: btr_u7ftrgipu69og2qj1j1pg
                      created_at: '2027-08-15T03:43:46.980214Z'
                      currency: SGD
                      destination: cva_d2dgk0ka772psfuj1he0
                      destination_details:
                        type: virtual_account
                        virtual_account:
                          account_holder_name: OM Grand Limited
                          account_number: '0109866363'
                          bank_address:
                            address_line_1: ''
                            address_line_2: ''
                            city: ''
                            country: Singapore
                            postal_code: ''
                            state: ''
                          bank_branch: >-
                            8 MARINA BOULEVARD, 27-01, MARINA BAY FINANCIAL
                            CENTRE
                          bank_codes:
                            swift_code: SLSGO2XXX
                          bank_name: STANDARD BANK LIMITED
                          currencies:
                            - SGD
                          iban: ''
                          id: cva_d2dgk0552psfuj1he0
                          object: virtual_account
                      holding_currency: SGD
                      id: col_d2fapsh76og2qj0ej5g
                      metadata: {}
                      object: collect
                      on_behalf_of: ''
                      payer_details:
                        additional_information: CM Payment for Order 56
                        name: CMC COMPANY
                        payer_bank:
                          account_number: '1112019837840'
                          address: null
                          bank_codes:
                            swift_code: AJUM7CHBKXXX
                          name: C Bank
                        reference_id: ''
                      status: succeeded
                      tracking_details: null
                      type: wire_transfer
                Crypto Collect:
                  summary: Crypto Collect
                  value:
                    status: success
                    message: ''
                    data:
                      amount: 480000
                      balance_transaction: btr_d35s1lt7gtugq24427g
                      created_at: '2025-09-18T08:20:33.090433Z'
                      currency: USD
                      destination: cwa_jhrv4sad4tf55jrvp0
                      destination_details:
                        type: wallet
                        wallet:
                          currencies:
                            - USD
                          deposit_address: 0x5gtj035ad25fnhioerfujhguri587y43894hfie2
                          id: cwa_jhrv4sad4tf55jrvp0
                          object: wallet
                          type: polygon pos
                      holding_currency: USD
                      id: col_24rtg5gtugq2t3h0bg
                      metadata: {}
                      object: collect
                      on_behalf_of: ''
                      payer_details:
                        additional_information: ''
                        name: ''
                        payer_bank: null
                        payer_wallet:
                          deposit_address: 0x48eb007deaebafmerdogn8470rjm32afa
                          type: ethereum
                        reference_id: ''
                      status: succeeded
                      tracking_details:
                        transaction_hash: >-
                          0x444b716efrg4b2a23224tf4gcedc91024f25c5bbb0530e99f09930769a
                      type: stablecoin_usdc
components:
  securitySchemes:
    sec0:
      type: http
      scheme: basic

````